"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileDownload = void 0;
const fs = require("fs");
const https = require("https");
class FileDownload {
    getFile(url, destination) {
        return new Promise((resolve, reject) => {
            const file = fs.createWriteStream(destination);
            https.get(url, response => {
                response.pipe(file);
                file.on("finish", () => {
                    file.close();
                    resolve();
                });
            }).on("error", err => {
                fs.unlink(destination, () => reject(err));
            });
        });
    }
}
exports.FileDownload = FileDownload;
