"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const NaPTAN_1 = require("../../src/reference/NaPTAN");
const parse = require("csv-parse");
describe("NaPTANFactory", () => {
    it("indexes NaPTAN rows by ATCO code", async () => {
        const input = parse();
        const factory = new NaPTAN_1.NaPTANFactory(input);
        input.write("stopA,nameA\nstopB,nameB");
        input.end();
        const [index] = await factory.getIndexes();
        chai.expect(index["stopA"]).to.deep.equal(["stopA", "nameA"]);
        chai.expect(index["stopB"]).to.deep.equal(["stopB", "nameB"]);
    });
});
